Index: trunk/source/physics_lists/lists/include/FTFC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/FTFC.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/FTFC.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: FTFC.hh,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/FTFC.icc
===================================================================
--- trunk/source/physics_lists/lists/include/FTFC.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/FTFC.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: FTFC.icc,v 1.6 2008/06/19 08:08:22 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/FTFP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/FTFP.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/FTFP.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: FTFP.hh,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/FTFP.icc
===================================================================
--- trunk/source/physics_lists/lists/include/FTFP.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/FTFP.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: FTFP.icc,v 1.6 2008/06/19 08:08:22 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/FTFP_BERT.hh
===================================================================
--- trunk/source/physics_lists/lists/include/FTFP_BERT.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/FTFP_BERT.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: FTFP_BERT.hh,v 1.1 2007/10/19 15:35:08 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/FTFP_BERT.icc
===================================================================
--- trunk/source/physics_lists/lists/include/FTFP_BERT.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/FTFP_BERT.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: FTFP_BERT.icc,v 1.2 2008/06/19 08:08:22 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/FTFP_EMV.hh
===================================================================
--- trunk/source/physics_lists/lists/include/FTFP_EMV.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/FTFP_EMV.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: FTFP_EMV.hh,v 1.1 2007/04/26 14:47:10 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/FTFP_EMV.icc
===================================================================
--- trunk/source/physics_lists/lists/include/FTFP_EMV.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/FTFP_EMV.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: FTFP_EMV.icc,v 1.3 2008/06/19 08:08:22 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/FTF_BIC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/FTF_BIC.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/FTF_BIC.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: FTF_BIC.hh,v 1.1 2007/11/16 16:52:55 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/FTF_BIC.icc
===================================================================
--- trunk/source/physics_lists/lists/include/FTF_BIC.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/FTF_BIC.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: FTF_BIC.icc,v 1.2 2008/06/19 08:08:22 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/G4HadronInelasticQBBC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/G4HadronInelasticQBBC.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/G4HadronInelasticQBBC.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: G4HadronInelasticQBBC.hh,v 1.7 2008/09/24 18:10:51 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/G4HadronInelasticQLHEP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/G4HadronInelasticQLHEP.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/G4HadronInelasticQLHEP.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: G4HadronInelasticQLHEP.hh,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/G4PhysListFactory.hh
===================================================================
--- trunk/source/physics_lists/lists/include/G4PhysListFactory.hh	(revision 988)
+++ trunk/source/physics_lists/lists/include/G4PhysListFactory.hh	(revision 988)
@@ -0,0 +1,75 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+// $Id: G4PhysListFactory.hh,v 1.2 2008/11/21 16:50:30 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
+//
+//---------------------------------------------------------------------------
+//
+// ClassName:  G4PhysListFactory
+//
+// Author: 21 April 2008 V. Ivanchenko
+//
+// Modified:
+//
+//----------------------------------------------------------------------------
+//
+#ifndef G4PhysListFactory_h
+#define G4PhysListFactory_h 1
+
+#include "G4VModularPhysicsList.hh"
+#include "globals.hh"
+
+class G4PhysListFactory
+{
+public:
+
+  G4PhysListFactory();
+
+  ~G4PhysListFactory();
+
+  G4VModularPhysicsList* GetReferencePhysList(const G4String&);
+  // instantiate PhysList by name
+
+  G4VModularPhysicsList* ReferencePhysList();
+  // instantiate PhysList by environment variable "PHYSLIST"
+
+  G4bool IsReferencePhysList(const G4String&);
+  // check if the name is in the list of PhysLists names
+
+  const std::vector<G4String>& AvailablePhysLists() const;
+  // list of avalable Phys Lists
+
+private:
+
+  G4String defName;  
+  std::vector<G4String> listnames;
+  size_t nlists;
+};
+
+#endif
+
+
+
Index: trunk/source/physics_lists/lists/include/HadronPhysicsFTFC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsFTFC.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsFTFC.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsFTFC.hh,v 1.3 2008/06/19 08:08:22 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsFTFP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsFTFP.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsFTFP.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsFTFP.hh,v 1.3 2008/06/19 08:08:22 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsFTFP_BERT.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsFTFP_BERT.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsFTFP_BERT.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsFTFP_BERT.hh,v 1.3 2008/06/19 08:08:23 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsFTF_BIC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsFTF_BIC.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsFTF_BIC.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsFTF_BIC.hh,v 1.3 2008/06/19 08:08:23 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsLHEP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsLHEP.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsLHEP.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsLHEP.hh,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_BERT.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_BERT.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_BERT.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsLHEP_BERT.hh,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_BERT_HP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_BERT_HP.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_BERT_HP.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsLHEP_BERT_HP.hh,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_EMV.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_EMV.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_EMV.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsLHEP_EMV.hh,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_PRECO_HP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_PRECO_HP.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_PRECO_HP.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsLHEP_PRECO_HP.hh,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSC.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSC.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSC.hh,v 1.2 2007/04/26 14:47:10 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSC_BERT.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSC_BERT.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSC_BERT.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSC_BERT.hh,v 1.1 2007/11/15 16:58:16 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSC_EFLOW.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSC_EFLOW.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSC_EFLOW.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSC_EFLOW.hh,v 1.2 2007/04/26 14:47:10 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSP.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSP.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP.hh,v 1.4 2007/11/13 10:16:09 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_BERT.hh,v 1.3 2007/12/10 17:34:44 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT_HP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT_HP.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT_HP.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_BERT_HP.hh,v 1.3 2007/04/26 14:47:10 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT_TRV.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT_TRV.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT_TRV.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_BERT_TRV.hh,v 1.1 2007/05/07 14:34:29 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BIC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BIC.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BIC.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_BIC.hh,v 1.2 2007/04/26 14:47:10 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BIC_HP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BIC_HP.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BIC_HP.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_BIC_HP.hh,v 1.2 2007/04/26 14:47:10 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGS_BIC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGS_BIC.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGS_BIC.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGS_BIC.hh,v 1.1 2007/11/13 10:23:24 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/LHEP.icc
===================================================================
--- trunk/source/physics_lists/lists/include/LHEP.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/LHEP.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: LHEP.icc,v 1.3 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/LHEP_BERT.hh
===================================================================
--- trunk/source/physics_lists/lists/include/LHEP_BERT.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/LHEP_BERT.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: LHEP_BERT.hh,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/LHEP_BERT.icc
===================================================================
--- trunk/source/physics_lists/lists/include/LHEP_BERT.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/LHEP_BERT.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: LHEP_BERT.icc,v 1.3 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/LHEP_BERT_HP.icc
===================================================================
--- trunk/source/physics_lists/lists/include/LHEP_BERT_HP.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/LHEP_BERT_HP.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: LHEP_BERT_HP.icc,v 1.3 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/LHEP_EMV.hh
===================================================================
--- trunk/source/physics_lists/lists/include/LHEP_EMV.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/LHEP_EMV.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: LHEP_EMV.hh,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/LHEP_EMV.icc
===================================================================
--- trunk/source/physics_lists/lists/include/LHEP_EMV.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/LHEP_EMV.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: LHEP_EMV.icc,v 1.3 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/LHEP_PRECO_HP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/LHEP_PRECO_HP.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/LHEP_PRECO_HP.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: LHEP_PRECO_HP.hh,v 1.1 2006/10/31 11:35:08 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/LHEP_PRECO_HP.icc
===================================================================
--- trunk/source/physics_lists/lists/include/LHEP_PRECO_HP.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/LHEP_PRECO_HP.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: LHEP_PRECO_HP.icc,v 1.3 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/MinEkineCuts.hh
===================================================================
--- trunk/source/physics_lists/lists/include/MinEkineCuts.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/MinEkineCuts.hh	(revision 988)
@@ -26,5 +26,5 @@
 //
 // $Id: MinEkineCuts.hh,v 1.1 2006/10/31 11:35:08 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/physics_lists/lists/include/QBBC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QBBC.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/QBBC.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QBBC.hh,v 1.2 2007/04/16 11:57:40 vnivanch Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QBBC.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QBBC.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/QBBC.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QBBC.icc,v 1.16 2008/11/25 15:36:19 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSC.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSC.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSC.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSC.icc,v 1.8 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSC_BERT.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSC_BERT.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSC_BERT.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSC_BERT.icc,v 1.1 2007/11/15 16:58:16 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSC_EFLOW.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSC_EFLOW.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSC_EFLOW.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSC_EFLOW.icc,v 1.4 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSC_EMV.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSC_EMV.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSC_EMV.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSC_EMV.icc,v 1.4 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP.hh	(revision 988)
@@ -26,5 +26,5 @@
 //
 // $Id: QGSP.hh,v 1.1 2006/10/31 11:35:09 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP.icc,v 1.7 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT.hh,v 1.1 2006/10/31 11:35:09 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT.icc,v 1.5 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT_DIF.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT_DIF.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT_DIF.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT_DIF.hh,v 1.1 2007/12/10 17:34:44 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT_DIF.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT_DIF.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT_DIF.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT_DIF.icc,v 1.2 2007/12/10 17:46:31 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT_EMV.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT_EMV.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT_EMV.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT_EMV.hh,v 1.1 2007/04/26 14:47:11 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT_EMV.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT_EMV.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT_EMV.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT_EMV.icc,v 1.2 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT_HP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT_HP.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT_HP.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT_HP.hh,v 1.1 2006/10/31 11:35:09 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT_HP.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT_HP.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT_HP.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT_HP.icc,v 1.4 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT_NQE.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT_NQE.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT_NQE.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT_NQE.hh,v 1.1 2007/04/26 14:47:11 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT_NQE.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT_NQE.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT_NQE.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT_NQE.icc,v 1.2 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT_TRV.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT_TRV.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT_TRV.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT_TRV.hh,v 1.1 2007/05/07 14:34:29 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT_TRV.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT_TRV.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT_TRV.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT_TRV.icc,v 1.2 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BIC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BIC.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_BIC.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BIC.hh,v 1.1 2006/10/31 11:35:09 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BIC.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BIC.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_BIC.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BIC.icc,v 1.5 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BIC_HP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BIC_HP.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_BIC_HP.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BIC_HP.hh,v 1.1 2006/11/24 16:31:35 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BIC_HP.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BIC_HP.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_BIC_HP.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BIC_HP.icc,v 1.5 2007/05/24 11:32:57 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_DIF.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_DIF.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_DIF.hh	(revision 988)
@@ -26,5 +26,5 @@
 //
 // $Id: QGSP_DIF.hh,v 1.1 2007/11/13 10:20:32 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_DIF.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_DIF.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_DIF.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_DIF.icc,v 1.1 2007/11/13 10:20:32 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_EMV.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_EMV.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_EMV.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_EMV.hh,v 1.1 2006/10/31 11:35:09 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_EMV.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_EMV.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_EMV.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_EMV.icc,v 1.5 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_EMV_NQE.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_EMV_NQE.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_EMV_NQE.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_EMV_NQE.hh,v 1.1 2007/04/26 14:47:11 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_EMV_NQE.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_EMV_NQE.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_EMV_NQE.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_EMV_NQE.icc,v 1.2 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_EMX.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_EMX.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_EMX.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_EMX.hh,v 1.1 2006/10/31 11:35:09 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_EMX.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_EMX.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_EMX.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_EMX.icc,v 1.5 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_NQE.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_NQE.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_NQE.hh	(revision 988)
@@ -26,5 +26,5 @@
 //
 // $Id: QGSP_NQE.hh,v 1.1 2007/04/26 14:47:11 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_NQE.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_NQE.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_NQE.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_NQE.icc,v 1.2 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_QEL.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_QEL.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_QEL.hh	(revision 988)
@@ -26,5 +26,5 @@
 //
 // $Id: QGSP_QEL.hh,v 1.1 2006/11/28 15:41:23 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_QEL.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_QEL.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGSP_QEL.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_QEL.icc,v 1.3 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGS_BIC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGS_BIC.hh	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGS_BIC.hh	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGS_BIC.hh,v 1.1 2007/11/13 10:23:24 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGS_BIC.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGS_BIC.icc	(revision 921)
+++ trunk/source/physics_lists/lists/include/QGS_BIC.icc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: QGS_BIC.icc,v 1.2 2007/12/10 17:33:58 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/G4HadronInelasticQBBC.cc
===================================================================
--- trunk/source/physics_lists/lists/src/G4HadronInelasticQBBC.cc	(revision 921)
+++ trunk/source/physics_lists/lists/src/G4HadronInelasticQBBC.cc	(revision 988)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4HadronInelasticQBBC.cc,v 1.15 2008/11/21 18:42:36 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// $Id: G4HadronInelasticQBBC.cc,v 1.16 2009/02/19 12:45:42 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
@@ -56,5 +56,5 @@
 #include "G4TheoFSGenerator.hh"
 #include "G4QStringChipsParticleLevelInterface.hh"
-#include "G4StringChipsInterface.hh"
+#include "G4StringChipsParticleLevelInterface.hh"
 #include "G4GeneratorPrecompoundInterface.hh"
 #include "G4QGSMFragmentation.hh"
@@ -79,5 +79,6 @@
     chipsFlag(chips), hpFlag(hp), glFlag(glauber), wasActivated(false)
 {
-  if(verbose > 1) G4cout << "### HadronInelasticQBBC bertFlag= " <<  bertFlag <<G4endl;
+  if(verbose > 1) G4cout << "### HadronInelasticQBBC bertFlag= " 
+			 <<  bertFlag <<G4endl;
   theHPXSecI = 0;
   theHPXSecC = 0;
@@ -126,9 +127,9 @@
   wasActivated = true;
 
-  if(verbose > 1) 
+  if(verbose > 1) {
     G4cout << "### HadronInelasticQBBC Construct Process"
            << " ftfFlag= " << ftfFlag << "  bertFlag= " << bertFlag
 	   << G4endl;
-
+  }
   G4double minEstring  = 9.5*GeV;
   G4double maxEcascade = 7.5*GeV;
@@ -147,5 +148,5 @@
 
   //CHIPS
-  G4HadronicInteraction* theCHIPS = new G4StringChipsInterface();
+  G4HadronicInteraction* theCHIPS = new G4StringChipsParticleLevelInterface();
   theCHIPS->SetMinEnergy(0.0);
   theCHIPS->SetMaxEnergy(maxEcascade);
Index: trunk/source/physics_lists/lists/src/G4HadronInelasticQLHEP.cc
===================================================================
--- trunk/source/physics_lists/lists/src/G4HadronInelasticQLHEP.cc	(revision 921)
+++ trunk/source/physics_lists/lists/src/G4HadronInelasticQLHEP.cc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: G4HadronInelasticQLHEP.cc,v 1.2 2008/05/19 10:21:34 vnivanch Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/G4PhysListFactory.cc
===================================================================
--- trunk/source/physics_lists/lists/src/G4PhysListFactory.cc	(revision 988)
+++ trunk/source/physics_lists/lists/src/G4PhysListFactory.cc	(revision 988)
@@ -0,0 +1,182 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+// $Id: G4PhysListFactory.cc,v 1.6 2008/11/25 15:36:19 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
+//
+//---------------------------------------------------------------------------
+//
+// ClassName:  G4PhysListFactory
+//
+// Author: 21 April 2008 V. Ivanchenko
+//
+// Modified:
+//
+//----------------------------------------------------------------------------
+//
+
+#include "G4PhysListFactory.hh"
+#include "FTFC.hh"
+#include "FTFP.hh"
+#include "FTFP_BERT.hh"
+#include "FTFP_EMV.hh"
+#include "FTF_BIC.hh"
+#include "LBE.hh"
+#include "LHEP.hh"
+#include "LHEP_BERT.hh"
+#include "LHEP_BERT_HP.hh"
+#include "LHEP_EMV.hh"
+#include "LHEP_PRECO_HP.hh"
+#include "QBBC.hh"
+#include "QGSC.hh"
+#include "QGSC_BERT.hh"
+#include "QGSC_EFLOW.hh"
+#include "QGSC_EMV.hh"
+#include "QGSP.hh"
+#include "QGSP_BERT.hh"
+#include "QGSP_BERT_DIF.hh"
+#include "QGSP_BERT_EMV.hh"
+#include "QGSP_BERT_HP.hh"
+#include "QGSP_BERT_NQE.hh"
+#include "QGSP_BERT_TRV.hh"
+#include "QGSP_BIC.hh"
+#include "QGSP_BIC_HP.hh"
+#include "QGSP_DIF.hh"
+#include "QGSP_EMV.hh"
+#include "QGSP_EMV_NQE.hh"
+#include "QGSP_EMX.hh"
+#include "QGSP_NQE.hh"
+#include "QGSP_QEL.hh"
+#include "QGS_BIC.hh"
+
+G4PhysListFactory::G4PhysListFactory() 
+{
+  defName = "QGSP_BERT";
+  nlists = 35;
+  G4String s[35] = {
+    "FTFC","FTFP","FTFP_BERY","FTFP_EMV","FTF_BIC",
+    "LBE","LHEP","LHEP_BERT","LHEP_EMV","LHEP_PRECO_HP"
+    "QBBB","QBBC","QBBCG","QBBCF","QBBC_HP","QGSC",
+    "QGSC_BERT","QGSC_EFLOW","QGSC_EMV","QGSP","QGSP_BERT",
+    "QGSP_BERT_DIF","QGSP_BERT_EMV","QGSP_BERT_HP","QGSP_BERT_NQE","QGSP_BERT_TRV",
+    "QGSP_BIC","QGSP_BIC_HP","QGSP_DIF","QGSP_EMV","QGSP_EMV_NQE",
+    "QGSP_EMX","QGSP_NQE","QGSP_QEL","QGS_BIC"};
+
+  for(size_t i=0; i<nlists; i++) {
+    listnames.push_back(s[i]);
+  }
+}
+
+G4PhysListFactory::~G4PhysListFactory()
+{}
+
+G4VModularPhysicsList* G4PhysListFactory::ReferencePhysList()
+{
+  // instantiate PhysList by environment variable "PHYSLIST"
+  G4String name = "";
+  char* path = getenv("PHYSLIST");
+  if (path) {
+    name = G4String(path);
+  } else {
+    name = defName;
+    G4cout << "### G4PhysListFactory WARNING: "
+	   << " environment variable PHYSLIST is not defined"
+	   << G4endl
+	   << "    Default Physics Lists " << name 
+	   << " is instantiated" 
+	   << G4endl;
+  }
+  return GetReferencePhysList(name);
+}
+
+G4VModularPhysicsList* G4PhysListFactory::GetReferencePhysList(
+        const G4String& name)
+{
+  G4VModularPhysicsList* p = 0;
+  if     (name == "FTFC") {p = new FTFC();}
+  else if(name == "FTFP") {p = new FTFP();}
+  else if(name == "FTFP_BERT") {p = new FTFP_BERT();}
+  else if(name == "FTFP_EMV") {p = new FTFP_EMV();}
+  else if(name == "FTF_BIC") {p = new FTF_BIC();}
+  else if(name == "LBE") {p = new LBE();}
+  else if(name == "LHEP") {p = new LHEP();}
+  else if(name == "LHEP_BERT") {p = new LHEP_BERT();}
+  else if(name == "LHEP_EMV") {p = new LHEP_EMV();}
+  else if(name == "LHEP_PRECO_HP") {p = new LHEP_PRECO_HP();}
+  else if(name == "QBBBG") {p = new QBBC(1, "QBBBG");}
+  else if(name == "QBBC") {p = new QBBC();}
+  else if(name == "QBBCG") {p = new QBBC(1, "QBBCG");}
+  else if(name == "QBBCF") {p = new QBBC(1, "QBBCF");}
+  else if(name == "QBBC_HP") {p = new QBBC(1, "QBBC_HP");}
+  else if(name == "QGSC") {p = new QGSC();}
+  else if(name == "QGSC_BERT") {p = new QGSC_BERT();}
+  else if(name == "QGSC_EFLOW") {p = new QGSC_EFLOW();}
+  else if(name == "QGSC_EMV") {p = new QGSC_EMV();}
+  else if(name == "QGSP") {p = new QGSP();}
+  else if(name == "QGSP_BERT") {p = new QGSP_BERT();}
+  else if(name == "QGSP_BERT_DIF") {p = new QGSP_BERT_DIF();}
+  else if(name == "QGSP_BERT_EMV") {p = new QGSP_BERT_EMV();}
+  else if(name == "QGSP_BERT_HP") {p = new QGSP_BERT_HP();}
+  else if(name == "QGSP_BERT_NQE") {p = new QGSP_BERT_NQE();}
+  else if(name == "QGSP_BERT_TRV") {p = new QGSP_BERT_TRV();}
+  else if(name == "QGSP_BIC") {p = new QGSP_BIC();}
+  else if(name == "QGSP_BIC_HP") {p = new QGSP_BIC_HP();}
+  else if(name == "QGSP_DIF") {p = new QGSP_DIF();}
+  else if(name == "QGSP_EMV") {p = new QGSP_EMV();}
+  else if(name == "QGSP_EMV_NQE") {p = new QGSP_EMV_NQE();}
+  else if(name == "QGSP_EMX") {p = new QGSP_EMX();}
+  else if(name == "QGSP_NQE") {p = new QGSP_NQE();}
+  else if(name == "QGSP_QEL") {p = new QGSP_QEL();}
+  else if(name == "QGS_BIC") {p = new QGS_BIC();}
+  else {
+    G4cout << "### G4PhysListFactory WARNING: "
+	   << "PhysicsList " << name << " is not known"
+	   << G4endl
+	   << "    Default Physics Lists " << defName
+	   << " is instantiated" 
+	   << G4endl;
+    p = new QGSP_BERT();
+  }
+  return p;
+}
+  
+G4bool G4PhysListFactory::IsReferencePhysList(const G4String& name)
+{
+  G4bool res = false;
+  for(size_t i=0; i<nlists; i++) {
+    if(name == listnames[i]) {
+      res = true;
+      break;
+    }
+  }
+  return res;
+}
+
+const std::vector<G4String>& 
+G4PhysListFactory::AvailablePhysLists() const
+{
+  return listnames;
+}
+
Index: trunk/source/physics_lists/lists/src/HadronPhysicsFTFC.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsFTFC.cc	(revision 921)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsFTFC.cc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsFTFC.cc,v 1.2 2007/06/01 15:20:06 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsFTFP.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsFTFP.cc	(revision 921)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsFTFP.cc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsFTFP.cc,v 1.2 2007/06/01 15:20:06 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsFTFP_BERT.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsFTFP_BERT.cc	(revision 921)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsFTFP_BERT.cc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsFTFP_BERT.cc,v 1.1 2007/10/19 15:35:08 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsFTF_BIC.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsFTF_BIC.cc	(revision 921)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsFTF_BIC.cc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsFTF_BIC.cc,v 1.2 2008/04/25 14:53:34 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsLHEP.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsLHEP.cc	(revision 921)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsLHEP.cc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsLHEP.cc,v 1.1 2006/10/31 11:35:10 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsLHEP_BERT.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsLHEP_BERT.cc	(revision 921)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsLHEP_BERT.cc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsLHEP_BERT.cc,v 1.1 2006/10/31 11:35:10 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsLHEP_BERT_HP.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsLHEP_BERT_HP.cc	(revision 921)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsLHEP_BERT_HP.cc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsLHEP_BERT_HP.cc,v 1.1 2006/10/31 11:35:10 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsLHEP_EMV.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsLHEP_EMV.cc	(revision 921)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsLHEP_EMV.cc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsLHEP_EMV.cc,v 1.1 2006/10/31 11:35:10 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsLHEP_PRECO_HP.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsLHEP_PRECO_HP.cc	(revision 921)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsLHEP_PRECO_HP.cc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsLHEP_PRECO_HP.cc,v 1.1 2006/10/31 11:35:11 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsQGSC.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsQGSC.cc	(revision 921)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsQGSC.cc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSC.cc,v 1.2 2007/04/26 14:47:11 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsQGSC_BERT.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsQGSC_BERT.cc	(revision 921)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsQGSC_BERT.cc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSC_BERT.cc,v 1.1 2007/11/15 16:58:16 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsQGSC_EFLOW.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsQGSC_EFLOW.cc	(revision 921)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsQGSC_EFLOW.cc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSC_EFLOW.cc,v 1.2 2007/04/26 14:47:11 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsQGSP.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsQGSP.cc	(revision 921)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsQGSP.cc	(revision 988)
@@ -26,5 +26,5 @@
 //
 // $Id: HadronPhysicsQGSP.cc,v 1.4 2007/11/13 10:16:11 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BERT.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BERT.cc	(revision 921)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BERT.cc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_BERT.cc,v 1.3 2007/12/10 17:34:44 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BERT_HP.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BERT_HP.cc	(revision 921)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BERT_HP.cc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_BERT_HP.cc,v 1.2 2007/04/26 14:47:11 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BERT_TRV.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BERT_TRV.cc	(revision 921)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BERT_TRV.cc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_BERT_TRV.cc,v 1.1 2007/05/07 14:34:29 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BIC.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BIC.cc	(revision 921)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BIC.cc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_BIC.cc,v 1.2 2007/04/26 14:47:11 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BIC_HP.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BIC_HP.cc	(revision 921)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BIC_HP.cc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_BIC_HP.cc,v 1.3 2007/04/26 14:47:11 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsQGS_BIC.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsQGS_BIC.cc	(revision 921)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsQGS_BIC.cc	(revision 988)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGS_BIC.cc,v 1.1 2007/11/13 10:23:24 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/MinEkineCuts.cc
===================================================================
--- trunk/source/physics_lists/lists/src/MinEkineCuts.cc	(revision 921)
+++ trunk/source/physics_lists/lists/src/MinEkineCuts.cc	(revision 988)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
